Bug 119358 - [kernel] [patch] SYSINIT_VERBOSE can be more verbose
Summary: [kernel] [patch] SYSINIT_VERBOSE can be more verbose
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 6.3-PRERELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-05 13:30 UTC by Dan Lukes
Modified: 2018-05-20 23:53 UTC (History)
0 users

See Also:


Attachments
file.diff (1.43 KB, patch)
2008-01-05 13:30 UTC, Dan Lukes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Lukes 2008-01-05 13:30:01 UTC
	the SYSINIT_VERBOSE will push the mi_startup() to display
	the progress of system startup

	Due current implementation logic, the SI_SUB_COPYRIGHT level message
are not displayed althought it can be. 

	Also, not only functions but it's parameters also can be DDB-resolved
to names if DDB present.

Fix: SI_SUB_COPYRIGHT messages will be displayed if 'last' variable will be
initialized to SI_SUB_COPYRIGHT-1 (now it's initialized to SI_SUB_COPYRIGHT)

	Other changes resolve the function parameter to name.
Comment 1 Dan Lukes 2015-05-19 20:42:09 UTC
Partially solved by independent commit:

 ----------------------------
Revision 236404
Modified Fri Jun 1 15:42:37 2012 UTC by jhb

Extend VERBOSE_SYSINIT to also print out the name of variables passed
to SYSINIT routines if they can be resolved via symbol look up in DDB.
To avoid false positives, only honor a name if the symbol resolves
exactly to the pointer value (no offset).
 -----------------------------

Proposal related to SI_SUB_COPYRIGHT still pending.

Attached patch doesn't fit current code as it has been slightly changed in mean time, but it require just small changes.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-20 23:53:00 UTC
For bugs matching the following conditions:
- Status == In Progress
- Assignee == "bugs@FreeBSD.org"
- Last Modified Year <= 2017

Do
- Set Status to "Open"